Aller au contenu

Refunds: List

La référence API est disponible en anglais uniquement.

POST/refunds/list

Lists all the refunds associated with the merchant, or for a specific payment if payment_id is provided

Request body RefundListRequest

  • start_timestringrequired

    The start time to filter payments list or to get list of filters. To get list of filters start time is needed to be passed

  • end_timestring, nullable

    The end time to filter payments list or to get list of filters. If not passed the default time is now

  • payment_idstring, nullable

    The identifier for the payment

  • refund_idstring, nullable

    The identifier for the refund

  • profile_idstring, nullable

    The identifier for business profile

  • limitinteger, nullable

    Limit on the number of objects to return

  • offsetinteger, nullable

    The starting point within a list of objects

  • amount_filterAmountFilter (object), nullable
    Show 2 child attributes
    • start_amountinteger, nullable

      The start amount to filter list of transactions which are greater than or equal to the start amount

    • end_amountinteger, nullable

      The end amount to filter list of transactions which are less than or equal to the end amount

  • currencyarray of string (enum), nullable

    The list of currencies to filter refunds list

  • refund_statusarray of string (enum), nullable

    The list of refund statuses to filter refunds list

Responses

  • 200List of refunds

Request

curl --request POST \
  --url https://sandbox.cardencer.com/refunds/list \
  --header 'Content-Type: application/json' \
  --header 'api-key: snd_...' \
  --data '{
    "start_time": "string"
  }'

Response

{
  "count": 0,
  "total_count": 0,
  "data": [
    {
      "refund_id": "string",
      "payment_id": "string",
      "amount": 6540,
      "currency": "string",
      "status": "succeeded"
    }
  ]
}